## bcc 1.3.1

=== DESCRIPTION ===
Package: bcc
Title: Beta Control Charts
Version: 1.3.1
Authors@R: 
     c(person("Ângelo", "Santanna", role = "aut",
                     email = "angelo.santanna@ufba.br"),
              person("Daniel", "Cerqueira", role = c("aut", "cre"),
                     email = "danielcerqueira@live.com"),
                     person("Luca", "Scrucca", role = c("ctb"),
                     email = "luca.scrucca@unipg.it"))
Description: Applies beta control charts to defined values, using 'qcc' package with new beta control limits. The Beta Chart presents the control limits based on the Beta probability distribution. Can be used for monitoring fraction data from Binomial distribution as replacement of the p-Charts. The Beta Chart was applied for monitoring the variables in three real studies, and it was compared to the control limits with three schemes. The comparative analysis showed that: (i) Beta approximation to the Binomial distribution was more appropriate with values confined in the [0, 1]- interval; and (ii) the charts proposed were more sensitive to the average run length (ARL), in both in-control and out-of-control processes monitoring. The Beta Charts outperform the Shewhart control charts analyzed for monitoring fraction data. Ângelo Márcio Oliveira Sant’Anna, Carla Schwengber ten Caten (2012) <doi:10.1016/j.eswa.2012.02.146>.
Depends: R (>= 2.10)
URL: https://danielucas28.github.io/
License: GPL
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.1.1
Imports: qcc, methods
Suggests: knitr, rmarkdown
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-04-23 23:41:25 UTC; danie
Author: Ângelo Santanna [aut],
  Daniel Cerqueira [aut, cre],
  Luca Scrucca [ctb]
Maintainer: Daniel Cerqueira <danielcerqueira@live.com>
Repository: CRAN
Date/Publication: 2020-04-28 11:20:11 UTC
