## bcc 1.5

=== DESCRIPTION ===
Package: bcc
Title: Beta Control Charts
Version: 1.5
Authors@R: 
    c(person("Ângelo", "Santanna", role = "aut", email = "angelo.santanna@ufba.br"),
      person("Daniel", "Cerqueira", role = c("aut", "cre"), email = "danielcerqueira@live.com"))
Description: Applies Beta Control Charts to defined values. The Beta Chart presents control limits based on the Beta probability distribution, making it suitable for monitoring fraction data from a Binomial distribution as a replacement for p-Charts. The Beta Chart has been applied in three real studies and compared with control limits from three different schemes. The comparative analysis showed that: (i) the Beta approximation to the Binomial distribution is more appropriate for values confined within the [0, 1] interval; and (ii) the proposed charts are more sensitive to the average run length (ARL) in both in-control and out-of-control process monitoring. Overall, the Beta Charts outperform the Shewhart control charts in monitoring fraction data. For more details, see Ângelo Márcio Oliveira Sant’Anna and Carla Schwengber ten Caten (2012) <doi:10.1016/j.eswa.2012.02.146>.
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2024-06-09 18:47:29 UTC; danie
Author: Ângelo Santanna [aut],
  Daniel Cerqueira [aut, cre]
Maintainer: Daniel Cerqueira <danielcerqueira@live.com>
Repository: CRAN
Date/Publication: 2024-06-10 17:40:06 UTC
